Rogue Lore Dress V4 & A4

Requirements:  Poser 5.0 or higher, Victoria 4.1 OR Victoria 4.2 base; product also works with Aiko 4. These items can be obtained at DAZ3D

Departments:
3D Figure EssentialsClothing
3D Figure EssentialsFootwear

Report this product. 

Product Files:

ReadMe File

Exclusive Product

Digital Product
File (1): 37.17 MB
File (2): 10.36 MB

Bookmark and Share


Price: 11.95 USD

 Add to Cart  Gift this Item  Add to Wishlist


Related Products


Customers Who Bought This Item Also Bought


Punk Me

12.95 USD     50.04% Off

6.47 USD   

ATTITUDE for Rogue Lore Dress V4 & A4

9.45 USD     30.05% Off

6.61 USD